Bug 243909 - Crash @ [Collections::MemoryQueryMakerHelper::orderListByName]
Summary: Crash @ [Collections::MemoryQueryMakerHelper::orderListByName]
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Collections/Local (show other bugs)
Version: 2.3.1-GIT
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-08 02:50 UTC by Cyrille Dunant
Modified: 2010-07-15 01:31 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cyrille Dunant 2010-07-08 02:50:46 UTC
Application: amarok (2.3-GIT)
KDE Platform Version: 4.4.90 (KDE 4.4.90 (KDE 4.5 RC1)) "release 2"
Qt Version: 4.7.0
Operating System: Linux 2.6.31.12-0.2-desktop x86_64
Distribution: "openSUSE 11.2 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:

I changed permissions of files in the collection (r to rw). The crash occurred as amarok was scanning it. 

Amarok is compiled after git pull.

-- Backtrace:
Application: Amarok (amarok), signal: Aborted
[Current thread is 1 (Thread 0x7fbc65e5a780 (LWP 15186))]

Thread 16 (Thread 0x7fbc47591710 (LWP 15188)):
#0  0x00007fbc6140c709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fbc4d6b8671 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fbc46759710 (LWP 15189)):
#0  0x00007fbc62fc1afe in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007fbc62f5d9e2 in _L_lock_8062 () from /lib64/libc.so.6
#2  0x00007fbc62f5ace9 in realloc_check () from /lib64/libc.so.6
#3  0x00007fbc594689f9 in mmap () from /usr/X11R6/lib64/libGL.so.1
#4  0x00007fbc65e65abd in ?? () from /usr/lib64/tls/libnvidia-tls.so.1
#5  0x00007fbc644ae286 in QListData::realloc(int) () from /usr/lib64/libQtCore.so.4
#6  0x00007fbc644ae4a0 in QListData::append(int) () from /usr/lib64/libQtCore.so.4
#7  0x00007fbc645b2178 in QTimerInfoList::timerInsert(QTimerInfo*) () from /usr/lib64/libQtCore.so.4
#8  0x00007fbc645b23e4 in QTimerInfoList::activateTimers() () from /usr/lib64/libQtCore.so.4
#9  0x00007fbc645af314 in timerSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/libQtCore.so.4
#10 0x00007fbc5b538a93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#11 0x00007fbc5b539270 in ?? () from /usr/lib64/libglib-2.0.so.0
#12 0x00007fbc5b539510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#13 0x00007fbc645af056 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#14 0x00007fbc64581c22 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#15 0x00007fbc6458200c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#16 0x00007fbc6448d04d in QThread::exec() () from /usr/lib64/libQtCore.so.4
#17 0x00007fbc4d9133b4 in Phonon::MediaSource::type() const () from /usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#18 0x00007fbc6448ffce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#19 0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#20 0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#21 0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fbc45d4e710 (LWP 15193)):
#0  0x00007fbc62fa73fd in read () from /lib64/libc.so.6
#1  0x00007fbc4de602f5 in ?? () from /usr/lib64/libasound.so.2
#2  0x00007fbc4de5b058 in snd_hctl_handle_events () from /usr/lib64/libasound.so.2
#3  0x00007fbc4de64da9 in snd_mixer_handle_events () from /usr/lib64/libasound.so.2
#4  0x00007fbc45d54c94 in ao_alsa_handle_event_thread () from /usr/lib64/xine/plugins/1.28/xineplug_ao_out_alsa.so
#5  0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fbc4554d710 (LWP 15194)):
#0  0x00007fbc6140c39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fbc4d6c9713 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fbc44714710 (LWP 15195)):
#0  0x00007fbc6140c39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fbc4d6c9713 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fbc43ed1710 (LWP 15196)):
#0  0x00007fbc6140c39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fbc4d6c9713 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fbc43484710 (LWP 15197)):
#0  0x00007fbc6140c39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fbc4d6c9713 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fbc413fa710 (LWP 15199)):
#0  0x00007fbc6140c39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fbc5ed5d5ae in WTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/libQtWebKit.so.4
#2  0x00007fbc5ed5d6c9 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtWebKit.so.4
#3  0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fbc37bf9710 (LWP 15200)):
#0  0x00007fbc6140c709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fbc4d6c3e69 in interruptable_sleep () from /usr/lib64/libxine.so.1
#2  0x00007fbc4d6c6621 in video_out_loop () from /usr/lib64/libxine.so.1
#3  0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fbc371e3710 (LWP 15201)):
#0  0x00007fbc6140c39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fbc64490b8b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fbc600a70e6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1abc1a0, th=0x1abc8c0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fbc600a94e3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1ab3860, th=0x1abc8c0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fbc600a94fc in ThreadWeaver::WorkingHardState::applyForWork (this=0x1ab3860, th=0x1abc8c0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007fbc600a83cf in ThreadWeaver::ThreadRunHelper::run (this=0x7fbc371e2e10, parent=0x1abc1a0, th=0x1abc8c0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fbc600a8458 in ThreadWeaver::Thread::run (this=0x1abc8c0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fbc6448ffce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#8  0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fbc369e2710 (LWP 15202)):
#0  0x00007fbc6140c39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fbc64490b8b in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/libQtCore.so.4
#2  0x00007fbc600a70e6 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x1abc1a0, th=0x1ab48d0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fbc600a94e3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x1ab3860, th=0x1ab48d0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fbc600a94fc in ThreadWeaver::WorkingHardState::applyForWork (this=0x1ab3860, th=0x1ab48d0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007fbc600a83cf in ThreadWeaver::ThreadRunHelper::run (this=0x7fbc369e1e10, parent=0x1abc1a0, th=0x1ab48d0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fbc600a8458 in ThreadWeaver::Thread::run (this=0x1ab48d0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fbc6448ffce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#8  0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fbc361e1710 (LWP 15203)):
#0  0x00007fbc62fc1afe in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007fbc62f5d81d in _L_lock_3276 () from /lib64/libc.so.6
#2  0x00007fbc62f584a6 in free_check () from /lib64/libc.so.6
#3  0x00007fbc65e65a6b in ?? () from /usr/lib64/tls/libnvidia-tls.so.1
#4  0x00007fbc644d560c in QString::free(QString::Data*) () from /usr/lib64/libQtCore.so.4
#5  0x00007fbc41c5b4f0 in ScanResultProcessor::~ScanResultProcessor (this=0x7fbc361e0270, __in_chrg=<value optimized out>)
    at /home/cyrille/Documents/Progs/kdesvn/amarok/src/core-impl/collections/sqlcollection/ScanResultProcessor.cpp:59
#6  0x00007fbc41c4fe45 in XmlParseJob::run (this=<value optimized out>) at /home/cyrille/Documents/Progs/kdesvn/amarok/src/core-impl/collections/sqlcollection/ScanManager.cpp:880
#7  0x00007fbc600a8a95 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7fbc361e0d80, th=0x1ace9c0, job=0x22fe780) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/Job.cpp:106
#8  0x00007fbc600a8bce in ThreadWeaver::Job::execute (this=0x22fe780, th=0x1ace9c0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/Job.cpp:135
#9  0x00007fbc600a839f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbc361e0e10, parent=0x1abc1a0, th=0x1ace9c0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/Thread.cpp:95
#10 0x00007fbc600a8458 in ThreadWeaver::Thread::run (this=0x1ace9c0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/Thread.cpp:142
#11 0x00007fbc6448ffce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#12 0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#13 0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#14 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fbc3540e710 (LWP 15204)):
[KCrash Handler]
#6  0x00007fbc62f169e5 in raise () from /lib64/libc.so.6
#7  0x00007fbc62f17ee6 in abort () from /lib64/libc.so.6
#8  0x00007fbc64487684 in qt_message_output(QtMsgType, char const*) () from /usr/lib64/libQtCore.so.4
#9  0x00007fbc64487862 in qt_message(QtMsgType, char const*, __va_list_tag*) () from /usr/lib64/libQtCore.so.4
#10 0x00007fbc64487a15 in qFatal(char const*, ...) () from /usr/lib64/libQtCore.so.4
#11 0x00007fbc64487a5a in qt_assert(char const*, char const*, int) () from /usr/lib64/libQtCore.so.4
#12 0x00007fbc6502ee74 in KSharedPtr<Meta::Composer>::operator-> (this=0x388fe60) at /usr/include/KDE/../ksharedptr.h:125
#13 0x00007fbc65153fe4 in Collections::MemoryQueryMakerHelper::orderListByName<KSharedPtr<Meta::Composer> > (list=<value optimized out>, descendingOrder=<value optimized out>)
    at /home/cyrille/Documents/Progs/kdesvn/amarok/src/core-impl/collections/support/MemoryQueryMakerHelper.cpp:40
#14 0x00007fbc65145317 in Collections::MemoryQueryMakerInternal::handleResult (this=<value optimized out>, tmpTracks=<value optimized out>)
    at /home/cyrille/Documents/Progs/kdesvn/amarok/src/core-impl/collections/support/MemoryQueryMakerInternal.cpp:519
#15 0x00007fbc651488c7 in Collections::MemoryQueryMakerInternal::runQuery (this=0x45f1740)
    at /home/cyrille/Documents/Progs/kdesvn/amarok/src/core-impl/collections/support/MemoryQueryMakerInternal.cpp:80
#16 0x00007fbc6514362d in QueryJob::run (this=0x46255a0) at /home/cyrille/Documents/Progs/kdesvn/amarok/src/core-impl/collections/support/MemoryQueryMaker.cpp:59
#17 0x00007fbc600a8a95 in ThreadWeaver::JobRunHelper::runTheJob (this=0x7fbc3540dd80, th=0x1acf480, job=0x46255a0) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/Job.cpp:106
#18 0x00007fbc600a8bce in ThreadWeaver::Job::execute (this=0x46255a0, th=0x1acf480) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/Job.cpp:135
#19 0x00007fbc600a839f in ThreadWeaver::ThreadRunHelper::run (this=0x7fbc3540de10, parent=0x1abc1a0, th=0x1acf480) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/Thread.cpp:95
#20 0x00007fbc600a8458 in ThreadWeaver::Thread::run (this=0x1acf480) at /usr/src/debug/kdelibs-4.4.90/threadweaver/Weaver/Thread.cpp:142
#21 0x00007fbc6448ffce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#22 0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#23 0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#24 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fbc3120d710 (LWP 15207)):
#0  0x00007fbc62fade13 in select () from /lib64/libc.so.6
#1  0x00007fbc6455f813 in QProcessManager::run() () from /usr/lib64/libQtCore.so.4
#2  0x00007fbc6448ffce in QThreadPrivate::start(void*) () from /usr/lib64/libQtCore.so.4
#3  0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fbc30a0c710 (LWP 15209)):
#0  0x00007fbc6140c39c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007fbc5f8d5784 in QTWTF::TCMalloc_PageHeap::scavengerThread() () from /usr/lib64/libQtScript.so.4
#2  0x00007fbc5f8d57b9 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) () from /usr/lib64/libQtScript.so.4
#3  0x00007fbc61407a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fbc62fb482d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fbc65e5a780 (LWP 15186)):
#0  0x00007fbc62fc1afe in __lll_lock_wait_private () from /lib64/libc.so.6
#1  0x00007fbc62f5d930 in _L_lock_6455 () from /lib64/libc.so.6
#2  0x00007fbc62f59e57 in malloc_check () from /lib64/libc.so.6
#3  0x00007fbc62f51bf4 in __libc_message () from /lib64/libc.so.6
#4  0x00007fbc62f57226 in malloc_printerr () from /lib64/libc.so.6
#5  0x00007fbc62f598cf in _int_malloc () from /lib64/libc.so.6
#6  0x00007fbc62f59e72 in malloc_check () from /lib64/libc.so.6
#7  0x00007fbc59468b11 in mmap () from /usr/X11R6/lib64/libGL.so.1
#8  0x00007fbc65e65b3d in ?? () from /usr/lib64/tls/libnvidia-tls.so.1
#9  0x00007fbc6351705d in operator new(unsigned long) () from /usr/lib64/libstdc++.so.6
#10 0x00007fbc6449cffe in QDateTime::QDateTime() () from /usr/lib64/libQtCore.so.4
#11 0x00007fbc64515d24 in QFileInfoPrivate::QFileInfoPrivate(QFileInfo const*) () from /usr/lib64/libQtCore.so.4
#12 0x00007fbc64517800 in QFileInfo::QFileInfo(QString const&) () from /usr/lib64/libQtCore.so.4
#13 0x00007fbc64505f59 in QDir::isRelativePath(QString const&) () from /usr/lib64/libQtCore.so.4
#14 0x00007fbc649ba26c in ?? () from /usr/lib64/libkdecore.so.5
#15 0x00007fbc649bdb5c in ?? () from /usr/lib64/libkdecore.so.5
#16 0x00007fbc649be5d4 in ?? () from /usr/lib64/libkdecore.so.5
#17 0x00007fbc649be6de in KDirWatch::~KDirWatch() () from /usr/lib64/libkdecore.so.5
#18 0x00007fbc649be719 in KDirWatch::~KDirWatch() () from /usr/lib64/libkdecore.so.5
#19 0x00007fbc62f194e1 in __run_exit_handlers () from /lib64/libc.so.6
#20 0x00007fbc62f19535 in exit () from /lib64/libc.so.6
#21 0x00007fbc6399f6d8 in qt_xio_errhandler () from /usr/lib64/libQtGui.so.4
#22 0x00007fbc659bbf48 in KApplication::xioErrhandler (this=0x7fff97463bf0, dpy=0x7af7a0) at /usr/src/debug/kdelibs-4.4.90/kdeui/kernel/kapplication.cpp:415
#23 0x00007fbc6256d2be in _XIOError () from /usr/lib64/libX11.so.6
#24 0x00007fbc62574c95 in ?? () from /usr/lib64/libX11.so.6
#25 0x00007fbc62575547 in _XEventsQueued () from /usr/lib64/libX11.so.6
#26 0x00007fbc6255e24b in XEventsQueued () from /usr/lib64/libX11.so.6
#27 0x00007fbc639d9067 in x11EventSourcePrepare(_GSource*, int*) () from /usr/lib64/libQtGui.so.4
#28 0x00007fbc5b537f7f in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#29 0x00007fbc5b538e69 in ?? () from /usr/lib64/libglib-2.0.so.0
#30 0x00007fbc5b539510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#31 0x00007fbc645af003 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#32 0x00007fbc639d8e3e in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtGui.so.4
#33 0x00007fbc64581c22 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#34 0x00007fbc6458200c in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/libQtCore.so.4
#35 0x00007fbc64586f79 in QCoreApplication::exec() () from /usr/lib64/libQtCore.so.4
#36 0x0000000000408b5c in main (argc=1, argv=0x7fff97465b68) at /home/cyrille/Documents/Progs/kdesvn/amarok/src/main.cpp:237

Reported using DrKonqi
Comment 1 Johannes Obermayr 2010-07-08 17:00:38 UTC
Did you compile KDE yourself?

openSUSE 11.2, Qt 4.7.0 and KDE SC 4.4.90 is not possible / should not be done with repo mixing.

Only openSUSE Factory with KDE SC 4.4.90 (now 4.4.92) has a repository depending on Qt 4.7.0.

For me it works on openSUSE 11.3 RC 2, Qt 4.6.3 and KDE SC 4.4.90.

Please install missing debug symbols drkonqi tells you after creating backtrace.
Comment 2 Cyrille Dunant 2010-07-08 17:13:48 UTC
On Thursday 08 July 2010 11:00:40 Johannes Obermayr wrote:
> https://bugs.kde.org/show_bug.cgi?id=243909
> 
> 
> Johannes Obermayr <johannesobermayr@gmx.de> changed:
> 
>            What    |Removed                     |Added
> ---------------------------------------------------------------------------
> - Status|UNCONFIRMED                 |NEEDSINFO
>                  CC|                            |johannesobermayr@gmx.de
>          Resolution|                            |WAITINGFORINFO
> 
> 
> 
> 
> --- Comment #1 from Johannes Obermayr <johannesobermayr gmx de>  2010-07-08
> 17:00:38 --- Did you compile KDE yourself?

no, only amarok.

> openSUSE 11.2, Qt 4.7.0 and KDE SC 4.4.90 is not possible / should not be
> done with repo mixing.

I added the repos, and it did not complain... I suspect parts of my system 
really are factory and not 11.2.

> Only openSUSE Factory with KDE SC 4.4.90 (now 4.4.92) has a repository
> depending on Qt 4.7.0.

This is the one that get taken.

> For me it works on openSUSE 11.3 RC 2, Qt 4.6.3 and KDE SC 4.4.90.

Ok, Qt is the likely culprit, then. Sorry for the report.

> Please install missing debug symbols drkonqi tells you after creating
> backtrace.

Did that, and this backtrace is all I got.

Thanks for looking at it.
Comment 3 Cyrille Dunant 2010-07-09 04:12:47 UTC
New backtrace with (more) debug information:

Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0x7fb79d8a9780 (LWP 16447))]

Thread 31 (Thread 0x7fb77ebe6710 (LWP 16450)):
#0  0x00007fb798a7e709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb784d0d671 in metronom_sync_loop () from /usr/lib64/libxine.so.1
#2  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 30 (Thread 0x7fb77ddae710 (LWP 16451)):
#0  0x00007fb79a61d6b3 in poll () from /lib64/libc.so.6
#1  0x00007fb792babfd4 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fb792bac510 in g_main_context_iteration () from 
/usr/lib64/libglib-2.0.so.0
#3  0x00007fb79bc21096 in 
QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () 
from /usr/lib64/libQtCore.so.4
#4  0x00007fb79bbf3c62 in 
QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from 
/usr/lib64/libQtCore.so.4
#5  0x00007fb79bbf404c in 
QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from 
/usr/lib64/libQtCore.so.4
#6  0x00007fb79baff04d in QThread::exec() () from /usr/lib64/libQtCore.so.4
#7  0x00007fb784f69266 in Phonon::MediaSource::type() const () from 
/usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
#8  0x00007fb79bb01fce in QThreadPrivate::start(void*) () from 
/usr/lib64/libQtCore.so.4
#9  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007fb79a62682d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 29 (Thread 0x7fb77d3a3710 (LWP 16454)):
#0  0x00007fb79a61d6b3 in poll () from /lib64/libc.so.6
#1  0x00007fb77d3a9c4e in ao_alsa_handle_event_thread () from 
/usr/lib64/xine/plugins/1.28/xineplug_ao_out_alsa.so
#2  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 28 (Thread 0x7fb77cba2710 (LWP 16455)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb784d1e713 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 27 (Thread 0x7fb77bd69710 (LWP 16456)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb784d1e713 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 26 (Thread 0x7fb77b526710 (LWP 16457)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb784d1e713 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 25 (Thread 0x7fb77ace3710 (LWP 16458)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb784d1e713 in ao_loop () from /usr/lib64/libxine.so.1
#2  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#3  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#4  0x0000000000000000 in ?? ()

Thread 24 (Thread 0x7fb778905710 (LWP 16460)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb779623d29 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007fb7796229e2 in os_aio_simulated_handle () from 
/usr/lib64/libmysqld.so.0
#3  0x00007fb7795e232a in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007fb77965d370 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 23 (Thread 0x7fb776a77710 (LWP 16461)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb779623d29 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007fb7796229e2 in os_aio_simulated_handle () from 
/usr/lib64/libmysqld.so.0
#3  0x00007fb7795e232a in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007fb77965d370 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 22 (Thread 0x7fb776276710 (LWP 16462)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb779623d29 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007fb7796229e2 in os_aio_simulated_handle () from 
/usr/lib64/libmysqld.so.0
#3  0x00007fb7795e232a in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007fb77965d370 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 21 (Thread 0x7fb775a75710 (LWP 16463)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb779623d29 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007fb7796229e2 in os_aio_simulated_handle () from 
/usr/lib64/libmysqld.so.0
#3  0x00007fb7795e232a in fil_aio_wait () from /usr/lib64/libmysqld.so.0
#4  0x00007fb77965d370 in ?? () from /usr/lib64/libmysqld.so.0
#5  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#6  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#7  0x0000000000000000 in ?? ()

Thread 20 (Thread 0x7fb77455d710 (LWP 16465)):
#0  0x00007fb79a61fe13 in select () from /lib64/libc.so.6
#1  0x00007fb77962452b in os_thread_sleep () from /usr/lib64/libmysqld.so.0
#2  0x00007fb77965c00a in srv_lock_timeout_thread () from 
/usr/lib64/libmysqld.so.0
#3  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 19 (Thread 0x7fb773d5c710 (LWP 16466)):
#0  0x00007fb79a61fe13 in select () from /lib64/libc.so.6
#1  0x00007fb77962452b in os_thread_sleep () from /usr/lib64/libmysqld.so.0
#2  0x00007fb77965c325 in srv_error_monitor_thread () from 
/usr/lib64/libmysqld.so.0
#3  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 18 (Thread 0x7fb77355b710 (LWP 16467)):
#0  0x00007fb79a61fe13 in select () from /lib64/libc.so.6
#1  0x00007fb77962452b in os_thread_sleep () from /usr/lib64/libmysqld.so.0
#2  0x00007fb77965bc72 in srv_monitor_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 17 (Thread 0x7fb772d5a710 (LWP 16468)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb779623d29 in os_event_wait_low () from /usr/lib64/libmysqld.so.0
#2  0x00007fb77965c962 in srv_master_thread () from /usr/lib64/libmysqld.so.0
#3  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 16 (Thread 0x7fb76b87e710 (LWP 16469)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb7963ca5ae in WTF::TCMalloc_PageHeap::scavengerThread() () from 
/usr/lib64/libQtWebKit.so.4
#2  0x00007fb7963ca6c9 in WTF::TCMalloc_PageHeap::runScavengerThread(void*) () 
from /usr/lib64/libQtWebKit.so.4
#3  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 15 (Thread 0x7fb76923b710 (LWP 16470)):
#0  0x00007fb798a7e709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb784d18e69 in interruptable_sleep () from /usr/lib64/libxine.so.1
#2  0x00007fb784d1b621 in video_out_loop () from /usr/lib64/libxine.so.1
#3  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 14 (Thread 0x7fb768821710 (LWP 16471)):
[KCrash Handler]
#6  
Collections::MemoryQueryMakerHelper::orderListByName<KSharedPtr<Meta::Composer> 
> (list=<value optimized out>, descendingOrder=false)
    at /usr/src/debug/amarok/src/core-
impl/collections/support/MemoryQueryMakerHelper.cpp:40
#7  0x00007fb79c9eaffb in Collections::MemoryQueryMakerInternal::handleResult 
(this=0x321f030, tmpTracks=<value optimized out>)
    at /usr/src/debug/amarok/src/core-
impl/collections/support/MemoryQueryMakerInternal.cpp:519
#8  0x00007fb79c9ed263 in Collections::MemoryQueryMakerInternal::runQuery 
(this=0x321f030) at /usr/src/debug/amarok/src/core-
impl/collections/support/MemoryQueryMakerInternal.cpp:80
#9  0x00007fb79c9e49dd in QueryJob::run (this=0x2fae8a0) at 
/usr/src/debug/amarok/src/core-
impl/collections/support/MemoryQueryMaker.cpp:59
#10 0x00007fb797715a95 in ThreadWeaver::JobRunHelper::runTheJob 
(this=0x7fb768820d80, th=0x2074250, job=0x2fae8a0) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/Job.cpp:106
#11 0x00007fb797715bce in ThreadWeaver::Job::execute (this=0x2fae8a0, 
th=0x2074250) at /usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/Job.cpp:135
#12 0x00007fb79771539f in ThreadWeaver::ThreadRunHelper::run 
(this=0x7fb768820e10, parent=0x2073b30, th=0x2074250) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/Thread.cpp:95
#13 0x00007fb797715458 in ThreadWeaver::Thread::run (this=0x2074250) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/Thread.cpp:142
#14 0x00007fb79bb01fce in QThreadPrivate::start(void*) () from 
/usr/lib64/libQtCore.so.4
#15 0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#16 0x00007fb79a62682d in clone () from /lib64/libc.so.6
#17 0x0000000000000000 in ?? ()

Thread 13 (Thread 0x7fb768020710 (LWP 16472)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb79bb02b8b in QWaitCondition::wait(QMutex*, unsigned long) () from 
/usr/lib64/libQtCore.so.4
#2  0x00007fb7977140e6 in 
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned 
(this=0x2073b30, th=0x8d5fa0) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fb7977164e3 in ThreadWeaver::WorkingHardState::applyForWork 
(this=0x206b160, th=0x8d5fa0) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fb7977164fc in ThreadWeaver::WorkingHardState::applyForWork 
(this=0x206b160, th=0x8d5fa0) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007fb7977164fc in ThreadWeaver::WorkingHardState::applyForWork 
(this=0x206b160, th=0x8d5fa0) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fb7977153cf in ThreadWeaver::ThreadRunHelper::run 
(this=0x7fb76801fe10, parent=0x2073b30, th=0x8d5fa0) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/Thread.cpp:87
#7  0x00007fb797715458 in ThreadWeaver::Thread::run (this=0x8d5fa0) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/Thread.cpp:142
#8  0x00007fb79bb01fce in QThreadPrivate::start(void*) () from 
/usr/lib64/libQtCore.so.4
#9  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#10 0x00007fb79a62682d in clone () from /lib64/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 12 (Thread 0x7fb76724c710 (LWP 16473)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb79bb02b8b in QWaitCondition::wait(QMutex*, unsigned long) () from 
/usr/lib64/libQtCore.so.4
#2  0x00007fb7977140e6 in 
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned 
(this=0x2073b30, th=0x2086710) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fb7977164e3 in ThreadWeaver::WorkingHardState::applyForWork 
(this=0x206b160, th=0x2086710) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fb7977164fc in ThreadWeaver::WorkingHardState::applyForWork 
(this=0x206b160, th=0x2086710) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007fb7977164fc in ThreadWeaver::WorkingHardState::applyForWork 
(this=0x206b160, th=0x2086710) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fb7977164fc in ThreadWeaver::WorkingHardState::applyForWork 
(this=0x206b160, th=0x2086710) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fb7977164fc in ThreadWeaver::WorkingHardState::applyForWork 
(this=0x206b160, th=0x2086710) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007fb7977153cf in ThreadWeaver::ThreadRunHelper::run 
(this=0x7fb76724be10, parent=0x2073b30, th=0x2086710) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/Thread.cpp:87
#9  0x00007fb797715458 in ThreadWeaver::Thread::run (this=0x2086710) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/Thread.cpp:142
#10 0x00007fb79bb01fce in QThreadPrivate::start(void*) () from 
/usr/lib64/libQtCore.so.4
#11 0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#12 0x00007fb79a62682d in clone () from /lib64/libc.so.6
#13 0x0000000000000000 in ?? ()

Thread 11 (Thread 0x7fb766a4b710 (LWP 16474)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb79bb02b8b in QWaitCondition::wait(QMutex*, unsigned long) () from 
/usr/lib64/libQtCore.so.4
#2  0x00007fb7977140e6 in 
ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned 
(this=0x2073b30, th=0x20898f0) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WeaverImpl.cpp:365
#3  0x00007fb7977164e3 in ThreadWeaver::WorkingHardState::applyForWork 
(this=0x206b160, th=0x20898f0) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WorkingHardState.cpp:71
#4  0x00007fb7977164fc in ThreadWeaver::WorkingHardState::applyForWork 
(this=0x206b160, th=0x20898f0) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/WorkingHardState.cpp:74
#5  0x00007fb7977153cf in ThreadWeaver::ThreadRunHelper::run 
(this=0x7fb766a4ae10, parent=0x2073b30, th=0x20898f0) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fb797715458 in ThreadWeaver::Thread::run (this=0x20898f0) at 
/usr/src/debug/kdelibs-4.4.92/threadweaver/Weaver/Thread.cpp:142
#7  0x00007fb79bb01fce in QThreadPrivate::start(void*) () from 
/usr/lib64/libQtCore.so.4
#8  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#9  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

Thread 10 (Thread 0x7fb76284a710 (LWP 16476)):
#0  0x00007fb798a7e709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb79bb02af2 in QWaitCondition::wait(QMutex*, unsigned long) () from 
/usr/lib64/libQtCore.so.4
#2  0x00007fb79baf8382 in QThreadPoolThread::run() () from 
/usr/lib64/libQtCore.so.4
#3  0x00007fb79bb01fce in QThreadPrivate::start(void*) () from 
/usr/lib64/libQtCore.so.4
#4  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#5  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 9 (Thread 0x7fb762049710 (LWP 16478)):
#0  0x00007fb79a61fe13 in select () from /lib64/libc.so.6
#1  0x00007fb79bbd1853 in QProcessManager::run() () from 
/usr/lib64/libQtCore.so.4
#2  0x00007fb79bb01fce in QThreadPrivate::start(void*) () from 
/usr/lib64/libQtCore.so.4
#3  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 8 (Thread 0x7fb761848710 (LWP 16481)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb796f42784 in QTWTF::TCMalloc_PageHeap::scavengerThread() () from 
/usr/lib64/libQtScript.so.4
#2  0x00007fb796f427b9 in QTWTF::TCMalloc_PageHeap::runScavengerThread(void*) 
() from /usr/lib64/libQtScript.so.4
#3  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 7 (Thread 0x7fb758913710 (LWP 16487)):
#0  0x00007fb798a7e709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb79bb02af2 in QWaitCondition::wait(QMutex*, unsigned long) () from 
/usr/lib64/libQtCore.so.4
#2  0x00007fb79baf8382 in QThreadPoolThread::run() () from 
/usr/lib64/libQtCore.so.4
#3  0x00007fb79bb01fce in QThreadPrivate::start(void*) () from 
/usr/lib64/libQtCore.so.4
#4  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#5  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7fb757c79710 (LWP 16488)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb784d10f3b in fifo_buffer_get () from /usr/lib64/libxine.so.1
#2  0x00007fb784d16fcd in video_decoder_loop () from /usr/lib64/libxine.so.1
#3  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fb7572ab710 (LWP 16489)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb784d10f3b in fifo_buffer_get () from /usr/lib64/libxine.so.1
#2  0x00007fb784d18055 in audio_decoder_loop () from /usr/lib64/libxine.so.1
#3  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fb756aaa710 (LWP 16490)):
#0  0x00007fb798a7e39c in pthread_cond_wait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb784d2183b in xine_event_wait () from /usr/lib64/libxine.so.1
#2  0x00007fb784d218ae in listener_loop () from /usr/lib64/libxine.so.1
#3  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#4  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#5  0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fb753888710 (LWP 16495)):
#0  0x00007fb798a7e709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb79bb02af2 in QWaitCondition::wait(QMutex*, unsigned long) () from 
/usr/lib64/libQtCore.so.4
#2  0x00007fb79baf8382 in QThreadPoolThread::run() () from 
/usr/lib64/libQtCore.so.4
#3  0x00007fb79bb01fce in QThreadPrivate::start(void*) () from 
/usr/lib64/libQtCore.so.4
#4  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#5  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fb753087710 (LWP 16497)):
#0  0x00007fb798a7e709 in pthread_cond_timedwait@@GLIBC_2.3.2 () from 
/lib64/libpthread.so.0
#1  0x00007fb79bb02af2 in QWaitCondition::wait(QMutex*, unsigned long) () from 
/usr/lib64/libQtCore.so.4
#2  0x00007fb79baf8382 in QThreadPoolThread::run() () from 
/usr/lib64/libQtCore.so.4
#3  0x00007fb79bb01fce in QThreadPrivate::start(void*) () from 
/usr/lib64/libQtCore.so.4
#4  0x00007fb798a79a4f in start_thread () from /lib64/libpthread.so.0
#5  0x00007fb79a62682d in clone () from /lib64/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fb79d8a9780 (LWP 16447)):
#0  0x00007fb79a61d6b3 in poll () from /lib64/libc.so.6
#1  0x00007fb791a5191a in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007fb791a51e57 in ?? () from /usr/lib64/libxcb.so.1
#3  0x00007fb791a52115 in xcb_writev () from /usr/lib64/libxcb.so.1
#4  0x00007fb799be703a in _XSend () from /usr/lib64/libX11.so.6
#5  0x00007fb799be7179 in _XReply () from /usr/lib64/libX11.so.6
#6  0x00007fb799bd4c70 in XQueryPointer () from /usr/lib64/libX11.so.6
#7  0x00007fb79b02c6bd in QCursor::pos() () from /usr/lib64/libQtGui.so.4
#8  0x00007fb79c5eb218 in CollectionTreeItemDelegate::paint (this=0x23aae90, 
painter=0x7fffdcc93310, option=..., index=...)
    at 
/usr/src/debug/amarok/src/browsers/collectionbrowser/CollectionTreeItemDelegate.cpp:158
#9  0x00007fb79b506c59 in QTreeView::drawRow(QPainter*, QStyleOptionViewItem 
const&, QModelIndex const&) const () from /usr/lib64/libQtGui.so.4
#10 0x00007fb79cd5c740 in Amarok::PrettyTreeView::drawRow (this=<value 
optimized out>, painter=0x7fffdcc93310, option=..., index=<value optimized 
out>)
    at /usr/src/debug/amarok/src/widgets/PrettyTreeView.cpp:44
#11 0x00007fb79b50c0fa in QTreeView::drawTree(QPainter*, QRegion const&) const 
() from /usr/lib64/libQtGui.so.4
#12 0x00007fb79b50ec33 in QTreeView::paintEvent(QPaintEvent*) () from 
/usr/lib64/libQtGui.so.4
#13 0x00007fb79aff0762 in QWidget::event(QEvent*) () from 
/usr/lib64/libQtGui.so.4
#14 0x00007fb79b3966c6 in QFrame::event(QEvent*) () from 
/usr/lib64/libQtGui.so.4
#15 0x00007fb79b4ccadb in QAbstractItemView::viewportEvent(QEvent*) () from 
/usr/lib64/libQtGui.so.4
#16 0x00007fb79b50a5f5 in QTreeView::viewportEvent(QEvent*) () from 
/usr/lib64/libQtGui.so.4
#17 0x00007fb79bbf4767 in 
QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () 
from /usr/lib64/libQtCore.so.4
#18 0x00007fb79af99acc in QApplicationPrivate::notify_helper(QObject*, 
QEvent*) () from /usr/lib64/libQtGui.so.4
#19 0x00007fb79afa21ed in QApplication::notify(QObject*, QEvent*) () from 
/usr/lib64/libQtGui.so.4
#20 0x00007fb79d40c556 in KApplication::notify (this=0x7fffdcc97170, 
receiver=0x2385e50, event=0x7fffdcc93f60) at 
/usr/src/debug/kdelibs-4.4.92/kdeui/kernel/kapplication.cpp:309
#21 0x00007fb79bbf4f3c in QCoreApplication::notifyInternal(QObject*, QEvent*) 
() from /usr/lib64/libQtCore.so.4
#22 0x00007fb79aff930d in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion 
const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from 
/usr/lib64/libQtGui.so.4
#23 0x00007fb79aff9fa8 in 
QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, 
int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#24 0x00007fb79aff9dd9 in 
QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, 
int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#25 0x00007fb79aff9dd9 in 
QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, 
int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#26 0x00007fb79aff906a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion 
const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from 
/usr/lib64/libQtGui.so.4
#27 0x00007fb79aff9fa8 in 
QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, 
int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#28 0x00007fb79aff906a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion 
const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from 
/usr/lib64/libQtGui.so.4
#29 0x00007fb79aff9fa8 in 
QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, 
int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#30 0x00007fb79aff906a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion 
const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from 
/usr/lib64/libQtGui.so.4
#31 0x00007fb79aff9fa8 in 
QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, 
int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#32 0x00007fb79aff906a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion 
const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from 
/usr/lib64/libQtGui.so.4
#33 0x00007fb79aff9fa8 in 
QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, 
int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#34 0x00007fb79aff906a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion 
const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from 
/usr/lib64/libQtGui.so.4
#35 0x00007fb79aff9fa8 in 
QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, 
int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#36 0x00007fb79aff906a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion 
const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from 
/usr/lib64/libQtGui.so.4
#37 0x00007fb79aff9fa8 in 
QWidgetPrivate::paintSiblingsRecursive(QPaintDevice*, QList<QObject*> const&, 
int, QRegion const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) ()
   from /usr/lib64/libQtGui.so.4
#38 0x00007fb79aff906a in QWidgetPrivate::drawWidget(QPaintDevice*, QRegion 
const&, QPoint const&, int, QPainter*, QWidgetBackingStore*) () from 
/usr/lib64/libQtGui.so.4
#39 0x00007fb79b1c63d8 in QWidgetBackingStore::sync() () from 
/usr/lib64/libQtGui.so.4
#40 0x00007fb79afea690 in QWidgetPrivate::syncBackingStore() () from 
/usr/lib64/libQtGui.so.4
#41 0x00007fb79aff0e35 in QWidget::event(QEvent*) () from 
/usr/lib64/libQtGui.so.4
#42 0x00007fb79b3b236b in QMainWindow::event(QEvent*) () from 
/usr/lib64/libQtGui.so.4
#43 0x00007fb79af99afc in QApplicationPrivate::notify_helper(QObject*, 
QEvent*) () from /usr/lib64/libQtGui.so.4
#44 0x00007fb79afa21ed in QApplication::notify(QObject*, QEvent*) () from 
/usr/lib64/libQtGui.so.4
#45 0x00007fb79d40c556 in KApplication::notify (this=0x7fffdcc97170, 
receiver=0xeb7050, event=0x3260240) at 
/usr/src/debug/kdelibs-4.4.92/kdeui/kernel/kapplication.cpp:309
#46 0x00007fb79bbf4f3c in QCoreApplication::notifyInternal(QObject*, QEvent*) 
() from /usr/lib64/libQtCore.so.4
#47 0x00007fb79bbf8d22 in QCoreApplicationPrivate::sendPostedEvents(QObject*, 
int, QThreadData*) () from /usr/lib64/libQtCore.so.4
#48 0x00007fb79bc21503 in postEventSourceDispatch(_GSource*, int (*)(void*), 
void*) () from /usr/lib64/libQtCore.so.4
#49 0x00007fb792baba93 in g_main_context_dispatch () from 
/usr/lib64/libglib-2.0.so.0
#50 0x00007fb792bac270 in ?? () from /usr/lib64/libglib-2.0.so.0
#51 0x00007fb792bac510 in g_main_context_iteration () from 
/usr/lib64/libglib-2.0.so.0
#52 0x00007fb79bc21043 in 
QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () 
from /usr/lib64/libQtCore.so.4
#53 0x00007fb79b04af4e in 
QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) 
() from /usr/lib64/libQtGui.so.4
#54 0x00007fb79bbf3c62 in 
QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from 
/usr/lib64/libQtCore.so.4
#55 0x00007fb79bbf404c in 
QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from 
/usr/lib64/libQtCore.so.4
#56 0x00007fb79bbf8fb9 in QCoreApplication::exec() () from 
/usr/lib64/libQtCore.so.4
#57 0x00000000004081df in main (argc=1, argv=0x7fffdcc990d8) at 
/usr/src/debug/amarok/src/main.cpp:237
Comment 4 Johannes Obermayr 2010-07-09 09:36:39 UTC
For me it looks like you should install debug packages with:

sudo zypper in xorg-x11-libxcb-debuginfo libqt4-debuginfo libqt4-x11-debuginfo xorg-x11-libX11-debuginfo phonon-backend-xine-debuginfo libxine1-debuginfo libmysqld0-debuginfo glib2-debuginfo glibc-debuginfo

Please attach the backtrace then via drkonqi.
Comment 5 Myriam Schweingruber 2010-07-09 11:30:17 UTC
Johannes, I don't think this is necessary to have more debugging symbols, the crash lies in Collections::MemoryQueryMakerHelper::orderListByName which is in Amarok.
But in general you are right, reporting bugs should always be made with all debugging symbols installed for all dependencies of the application :) This can be easily made in Dr. Konqi which offers that option.
Comment 6 Cyrille Dunant 2010-07-15 01:31:15 UTC
It disappeared after the latest update. Sorry for the disturbance.

amarok-2.3.1.60svn20100622-1.11.x86_64.rpm from Suse does not have that symptom. If you wish, I can check that it also disapeared from the git-compiled version.